package gmt.protocol.ext.VO;

public class ExtMsg_ALR11VO {
	private String msg;
	private String packetType;
	private int txMal;
	private int VSWR;
	private int rxChA;
	private int rxChB;
	private int general;
	private int UTC;
	private int noSensor;
	private int frameSync;
	private int DGPS;
	private int communication;
	private int temperature;
	private int bootMode;
	private int config;
	private int msgCount;
	
	public ExtMsg_ALR11VO() {
		this.msg = "";
		this.packetType = "";
		this.txMal = -1;
		this.VSWR = -1;
		this.rxChA = -1;
		this.rxChB = -1;
		this.general = -1;
		this.UTC = -1;
		this.noSensor = -1;
		this.frameSync = -1;
		this.DGPS = -1;
		this.communication = -1;
		this.temperature = -1;
		this.bootMode = -1;
		this.config = -1;
		this.msgCount = -1;		
	}
	
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getPacketType() {
		return packetType;
	}	
	public void setPacketType(String packetType) {
		this.packetType = packetType;
	}	
	public int getTxMal() {
		return txMal;
	}
	public void setTxMal(int txMal) {
		this.txMal = txMal;
	}	
	public int getVSWR() {
		return VSWR;
	}
	public void setVSWR(int VSWR) {
		this.VSWR = VSWR;
	}	
	public int getRxChA() {
		return rxChA;
	}
	public void setRxChA(int rxChA) {
		this.rxChA = rxChA;
	}		
	public int getRxChB() {
		return rxChB;
	}
	public void setRxChB(int rxChB) {
		this.rxChB = rxChB;
	}	
	public int getgeneral() {
		return general;
	}
	public void setgeneral(int general) {
		this.general = general;
	}	
	public int getUTC() {
		return UTC;
	}
	public void setUTC(int UTC) {
		this.UTC = UTC;
	}		
	public int getNoSensor() {
		return noSensor;
	}
	public void setNoSensor(int noSensor) {
		this.noSensor = noSensor;
	}	
	public int getFrameSync() {
		return frameSync;
	}
	public void setFrameSync(int frameSync) {
		this.frameSync = frameSync;
	}		
	public int getDGPS() {
		return DGPS;
	}
	public void setDGPS(int DGPS) {
		this.DGPS = DGPS;
	}	
	public int getCommunication() {
		return communication;
	}
	public void setCommunication(int communication) {
		this.communication = communication;
	}	
	public int getTemperature() {
		return temperature;
	}
	public void setTemperature(int temperature) {
		this.temperature = temperature;
	}	
	public int getBootMode() {
		return bootMode;
	}
	public void setBootMode(int bootMode) {
		this.bootMode = bootMode;
	}	
	public int getConfig() {
		return config;
	}
	public void setConfig(int config) {
		this.config = config;
	}		
	public int getMsgCount() {
		return msgCount;
	}
	public void setMsgCount(int msgCount) {
		this.msgCount = msgCount;
	}	
}

